> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.middesk.com/verify-business/owners-officers/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.middesk.com/_mcp/server. # Verify owners and officers > Use Middesk to verify business owners and officers. Understanding the details of the ownership structure and executive team of a company is extremely important in helping to maintain compliance with Know Your Customer (KYC) and Ultimate Beneficial Owner requirements. It also helps in understanding the potential risk or fraud signals about that entity. When an entity is formed with the state, there is typically a record of the individuals associated with the formation of that business. The exact roles that individuals hold can change based on the entity structure, but the most common individuals associated with an entity are: * **President**, Usually the legally recognized highest rank of corporate officer. * **Treasurer**, responsible for accounting and handles corporate funds. * **Secretary**, handles corporate records and may also handle corporate stock and the stock transfer book. * **Member**, the formal name for an LLC owner. * **Owner**, the only one (or one in a few) managing business operations. * **Registered agent**, an individual or corporation, who may or may not be part of the business entity, designated to receive correspondence from the Secretary of State. > **How to trigger owners and officers verification** > > Associated owners and officers are automatically researched when you create a business in Middesk. Read the [quickstart](/quickstart) for an example workflow. ## How Middesk supports people verification While there's no single source to capture all officer information for private companies in the US, Middesk provides an aggregate list of individuals and corporations associated with each business based on data acquired from multiple sources. There are multiple ways to leverage the consolidated list of people, which include validation of beneficial owners, signatories, and other workflows that may require developing a linkage between the individual applying on behalf of a business and the business entity itself. Learn more in the [owners and officers reference](/reference/person). ## How to verify people #### Create a business with people Submit a business with people information to trigger verification. ```bash curl -X POST https://api.middesk.com/v1/businesses \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "name": "Acme Corporation", "addresses": [ { "address_line1": "123 Main Street", "city": "San Francisco", "state": "CA", "postal_code": "94105" } ], "people": [ { "name": "Jane Smith", "titles": ["CEO", "Owner"] } ], "orders": [ { "product": "business_verification_verify" } ] }' ``` #### Wait for verification to complete Middesk sends a `business.updated` webhook when verification completes and the business status changes to `in_review`. Set up [webhooks](/build/webhooks) to receive notifications. #### Review the results Check the [review tasks](/verify-business/people/review-tasks) on the Business object for people verification results. > **Get a demo** > > Contact your account manager or [contact sales](https://www.middesk.com/contact-sales) to inquire about access. > Use Middesk to verify business owners and officers. ## Docs - [People verification review tasks](https://docs.middesk.com/verify-business/people/review-tasks.md): Understand the review tasks for people verification.